package com.lz.modules.performance.enums;

/**
 * @Author: djc
 * @Desc:
 * @Date: 2020/12/9 14:08
 */
public enum ProcessRecordEnum {
    NAME(1,"修改名称"),
    PROCESS(2,"更新了进度"),
    NAME_PROCESS(3,"更新了名称和进度"),
    REMARK(4,"修改进度说明"),
    NAME_REMARK(5,"修改了名称和进度说明"),
    PROCESS_REMARK(6,"修改了进度和进度说明"),
    ALL(7,"都修改"),
    ADD(8,"新增"),
    DELETE(9,"删除"),
    ;


    public static ProcessRecordEnum findByType(int type){
        for(ProcessRecordEnum recordEnum:ProcessRecordEnum.values()){
            if(type == recordEnum.getType()){
                return recordEnum;
            }
        }
        return null;

    }
    private int type;

    private String desc;


    ProcessRecordEnum(int type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
